import z from 'zod';

export const RouteGenerateResC = z.object({
    request_id: z.string(),
    result: z.string(),
    metrics: z.record(z.string(), z.number()),
    timing: z.record(z.string(), z.number()),
    used_summary: z.boolean(),
    context_documents: z.array(z.object({
        page_link: z.string().optional(),
        page_title: z.string().optional(),
    })),
});
export type RouteGenerateRes = z.infer<typeof RouteGenerateResC>;
